Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch
Class TouchEvent<H extends EventHandler>

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.google.gwt.event.dom.client.DomEvent<H>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEvent<H>

All Implemented Interfaces:
  HasNativeEvent

Direct Known Subclasses:
  TouchCancelEvent, TouchEndEvent, TouchMoveEvent, TouchStartEvent

    public abstract class TouchEvent<H extends EventHandler>

extends DomEvent<H>

The base class for touch events.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`TouchEvent()`

Method Summary
`JsArray<Touch>` | `getChangedTouches()` Returns the list of `Touch`es which changed in this event.
`NativeTouchEvent` | `getNativeTouchEvent()` Returns the underlying native touch event.
`PointView` | `getTargetCoordinates(Touch touch)` Returns the location of the specified touch in the coordinate system of the target element.
`JsArray<Touch>` | `getTargetTouches()` Returns the `Touch`es for the target element.
`JsArray<Touch>` | `getTouches()` Returns the list of `Touch`es for all fingers currently touching the screen.
`static void` | `sinkAllTouchEvents(UIObject widget)` Sinks all touch events for the specified `UIObject`.
`static void` | `unsinkAllTouchEvents(UIObject widget)` Stops sinking all touch events for the specified `UIObject`.

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getAssociatedType, getNativeEvent, getRelativeElement, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, dispatch, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TouchEvent

    public TouchEvent()

Method Detail

### getNativeTouchEvent

    public NativeTouchEvent getNativeTouchEvent()

  Returns the underlying native touch event.

### getTouches

    public final JsArray<Touch> getTouches()

  Returns the list of `Touch`es for all fingers currently touching the screen.

### getChangedTouches

    public final JsArray<Touch> getChangedTouches()

  Returns the list of `Touch`es which changed in this event.

### getTargetTouches

    public final JsArray<Touch> getTargetTouches()

  Returns the `Touch`es for the target element.

### sinkAllTouchEvents

    public static void sinkAllTouchEvents(UIObject widget)

  Sinks all touch events for the specified `UIObject`.

### unsinkAllTouchEvents

    public static void unsinkAllTouchEvents(UIObject widget)

  Stops sinking all touch events for the specified `UIObject`.

### getTargetCoordinates

    public final PointView getTargetCoordinates(Touch touch)

  Returns the location of the specified touch in the coordinate system of the target element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD